Mailing List Archive

mod_proxy_fdpass.so file missing
During rpmbuild using httpd-2.4.23.tar.bz2, error message tells me
mod_proxy_fdpass.so is missing. This httpd-2.4.23.tar.bz2 was downloaded
from http://httpd.apache.org/download.cgi#apache24 at 12:00 JST on 7/14.

Therefore, no httpd-2.4.20-1.x86_64.rpm is obtained.
It would be helpful httpd-2.4.23.tar.bz2 without error during rpmbuild
could be downloaded.

CentOS Linux release 7.2.1511
kernel 3.10.0-327.22.2.el7.x86_64


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org
Re: mod_proxy_fdpass.so file missing [ In reply to ]
This is on CentOS 6.8, but the error you show was the same.

To try to build the package I edited the httpd.spec file to add:
"--enable-proxy" and "--enable-proxy-fdpass" to the "%configure"
stanza. That got rid of the error you show but turned up a different
one: "Installed (but unpackaged) file(s) found" regarding
"/usr/lib64/httpd/modules/mod_proxy_hcheck.so". I then added that
file to the list of modules, recreated the "httpd-2.4.23.tar.bz"
file and apparently successfully built the RPMs.

Ken

On Thu, 14 Jul 2016 03:15:27 GMT kohmoto@iris.eonet.ne.jp wrote:
>
> During rpmbuild using httpd-2.4.23.tar.bz2, error message tells me
> mod_proxy_fdpass.so is missing. This httpd-2.4.23.tar.bz2 was downloaded
> from http://httpd.apache.org/download.cgi#apache24 at 12:00 JST on 7/14.
>
> Therefore, no httpd-2.4.20-1.x86_64.rpm is obtained.
> It would be helpful httpd-2.4.23.tar.bz2 without error during rpmbuild
> could be downloaded.
>
> CentOS Linux release 7.2.1511
> kernel 3.10.0-327.22.2.el7.x86_64

--
Ken Bell :: kenbell_AT_panix_DOT_com :: 212-475-4976 (voice)

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org
RE: mod_proxy_fdpass.so file missing [ In reply to ]
With RPM, you don't ever want to modify the upstream source archive (instead you use patches or an external SPEC). Rather than rebuilding the tarball and putting your SPEC inside it, you should be keeping the SPEC separate and using -bb or -ba (for a source RPM) argument to rpmbuild.


Rick Houser
Web Administration

> -----Original Message-----
> From: Ken Bell [mailto:kenbell@panix.com]
> Sent: Friday, August 12, 2016 02:19
> To: users@httpd.apache.org
> Subject: Re: [users@httpd] mod_proxy_fdpass.so file missing
>
> This is on CentOS 6.8, but the error you show was the same.
>
> To try to build the package I edited the httpd.spec file to add:
> "--enable-proxy" and "--enable-proxy-fdpass" to the "%configure"
> stanza. That got rid of the error you show but turned up a different
> one: "Installed (but unpackaged) file(s) found" regarding
> "/usr/lib64/httpd/modules/mod_proxy_hcheck.so". I then added that
> file to the list of modules, recreated the "httpd-2.4.23.tar.bz"
> file and apparently successfully built the RPMs.
>
> Ken
>
> On Thu, 14 Jul 2016 03:15:27 GMT kohmoto@iris.eonet.ne.jp wrote:
> >
> > During rpmbuild using httpd-2.4.23.tar.bz2, error message tells me
> > mod_proxy_fdpass.so is missing. This httpd-2.4.23.tar.bz2 was downloaded
> > from http://httpd.apache.org/download.cgi#apache24 at 12:00 JST on 7/14.
> >
> > Therefore, no httpd-2.4.20-1.x86_64.rpm is obtained.
> > It would be helpful httpd-2.4.23.tar.bz2 without error during rpmbuild
> > could be downloaded.
> >
> > CentOS Linux release 7.2.1511
> > kernel 3.10.0-327.22.2.el7.x86_64
>
> --
> Ken Bell :: kenbell_AT_panix_DOT_com :: 212-475-4976 (voice)
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org
Re: mod_proxy_fdpass.so file missing [ In reply to ]
Thanks Ken Bel for your challenge to solve the error in rpmbuid of
httpd-2.4.23, I reported. I am glad to hear the error is reproduced at
the CentOS6.8 platform.

However, I have no way to check the integrity of the whole system made
by the modifications. I hope people involved in HTTPD project would
erase the rpmbuild error in the future. I would like to wait until then.

In the doc provided by the project, rpmbuild is supported by a very
simple way.

https://httpd.apache.org/docs/2.4/platform/rpm.html

Thank you Ken.

Yours truly,
Kazuhiko kohmoto

On 2016/08/12 15:18, Ken Bell wrote:
> This is on CentOS 6.8, but the error you show was the same.
>
> To try to build the package I edited the httpd.spec file to add:
> "--enable-proxy" and "--enable-proxy-fdpass" to the "%configure"
> stanza. That got rid of the error you show but turned up a different
> one: "Installed (but unpackaged) file(s) found" regarding
> "/usr/lib64/httpd/modules/mod_proxy_hcheck.so". I then added that
> file to the list of modules, recreated the "httpd-2.4.23.tar.bz"
> file and apparently successfully built the RPMs.


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org
Re: mod_proxy_fdpass.so file missing [ In reply to ]
On Sat, Aug 13, 2016 at 7:59 AM, kohmoto <kohmoto@iris.eonet.ne.jp> wrote:
>
> However, I have no way to check the integrity of the whole system made by
> the modifications. I hope people involved in HTTPD project would erase the
> rpmbuild error in the future. I would like to wait until then.

This has been fixed at the build level (not only rpm, see [1]) and
will be available in the next 2.4 release.

Regards,
Yann.

[1] http://svn.apache.org/r1755078

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org
Re: mod_proxy_fdpass.so file missing [ In reply to ]
Thanks Yann for the information about the progress to eliminate the
rpmbuild problem..
I am looking forward to have it.

Yours truly,
Kazuhiko Kohmoto

On 2016/08/13 20:55, Yann Ylavic wrote:
> This has been fixed at the build level (not only rpm, see [1]) and
> will be available in the next 2.4 release.


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org